Swagger Petstore - OpenAPI 3.0· docs by DocoAPI
v1.0.27
POST/user/createWithList
operationId: createUsersWithListInput

Creates list of users with given input array.

Creates list of users with given input array.

🔒petstore_auth
🔒api_keyapi_key: <your-key>

Request Body optional

application/json
NameTypeRequiredExample / Values
array[object]
Itemobject
idinteger (int64)optional
Example:10
usernamestringoptional
Example:"theUser"
firstNamestringoptional
Example:"John"
lastNamestringoptional
Example:"James"
emailstringoptional
passwordstringoptional
Example:"12345"
phonestringoptional
Example:"12345"
userStatusinteger (int32)optional

User Status

Example:1
Example
[
  {
    "id": 10,
    "username": "theUser",
    "firstName": "John",
    "lastName": "James",
    "email": "[email protected]",
    "password": "12345",
    "phone": "12345",
    "userStatus": 1
  }
]

Responses

200 OK — Successful operation
default — Unexpected error

⚡ Try it out